﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GalaSoft.MvvmLight;
using Microsoft.Practices.Unity;

namespace WpfApplication1
{
    class VMLocator
    {
        public static IUnityContainer Container { get; private set; }

        static VMLocator()
        {
            Container = new UnityContainer();

            if (ViewModelBase.IsInDesignModeStatic)
            {
                
            }
            else
            {
                
            }
           

            
            Container.RegisterType<ViewModel>(new ContainerControlledLifetimeManager());
            
            
        }
        /// <summary>
        /// Gets the Main property.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance",
            "CA1822:MarkMembersAsStatic",
            Justification = "This non-static member is needed for data binding purposes.")]
        public static ViewModel Main
        {
            get
            {
                return Container.Resolve<ViewModel>();
            }
        }

    }
}
